<?php

/**
 * @file
 * Drush integration.
 */

use Drupal\Core\Database\Database;

/**
 * Implements hook_drush_command().
 */
function micro_simple_sitemap_drush_command() {
  $items['asas-generate'] = [
    'description' => 'Regenerate XML sitemaps for all languages and sites according to the module settings.',
    'callback' => 'drush_micro_simple_sitemap_generate',
    'drupal dependencies' => ['simple_sitemap', 'micro_simple_sitemap'],
  ];
  return $items;
}

/**
 * Callback function for hook_drush_command().
 *
 * Regenerate sitemap for all languages.
 */
function drush_micro_simple_sitemap_generate() {
  // Remove all existing rows and add one row in table for every domain.
  Database::getConnection()->truncate('simple_sitemap')->execute();
  $sites = \Drupal::entityTypeManager()->getStorage('site')->loadMultiple();
  foreach ($sites as $site_id => $site) {
    \Drupal::service('micro_simple_sitemap.sitemap_generator')->generateSiteSitemap([], FALSE, $site_id);
  }
}
